Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455788 - Review Request: perl-DateTime-Format-DBI - Find a parser class for a database connection
Summary: Review Request: perl-DateTime-Format-DBI - Find a parser class for a database...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/DateTime-...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-17 19:11 UTC by Chris Weyl
Modified: 2008-07-24 23:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-24 23:03:33 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2008-07-17 19:11:04 UTC
SRPM URL: http://fedora.biggerontheinside.net/review/perl-DateTime-Format-DBI-0.031-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-DateTime-Format-DBI.spec

Description:
This module finds a DateTime::Format::* class that is suitable for the use
with a given DBI connection (and DBD::* driver).

Note that this is most useful if you actually have the DateTime::Format::*
class for your particular database(s) installed!  See, e.g.,
perl-DateTime-MySQL, perl-DateTime-Oracle, perl-DateTime-DB2, etc.

Comment 1 Chris Weyl 2008-07-17 19:11:23 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=722957


Comment 2 Parag AN(पराग) 2008-07-22 05:12:27 UTC
Review:
+ package builds in mock (rawhide i386).
koji build=>http://koji.fedoraproject.org/koji/taskinfo?taskID=722957
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
97efe8dfe3a6e68cfb9489c451cd16dd  DateTime-Format-DBI-0.031.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=1,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.04 cusr  0.00 csys
=  0.05 CPU)
+ Package perl-DateTime-Format-DBI-0.031-1.fc10 =>
  Provides: perl(DateTime::Format::DBI) = 0.0
  Requires: perl(Carp) perl(DBI) >= 1.21 perl(strict) perl(vars)


I am not sure why provides is giving 0.0 whereas I can see code 
$VERSION = '0.031';
$VERSION = $VERSION + 0.0;
shouldn't it be summed to 0.031 ?





Comment 3 Chris Weyl 2008-07-23 04:19:26 UTC
This appears to be a bug in rpm's perl.prov script.  Though it's careful to not
 clobber the discovered version on finding multiple chunks of the same package,
it'll keep on overwriting it with each new assignment.

I've opened bug 456357 (another cool integer <grin />) to address this, and
overridden the auto-provided value for this package in the meantime.

SRPM URL:
http://fedora.biggerontheinside.net/review/perl-DateTime-Format-DBI-0.031-2.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-DateTime-Format-DBI.spec


Comment 4 Parag AN(पराग) 2008-07-24 11:46:01 UTC
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=735907
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
97efe8dfe3a6e68cfb9489c451cd16dd  DateTime-Format-DBI-0.031.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=1,  0 wallclock secs ( 0.00 usr  0.00 sys +  0.04 cusr  0.00 csys
=  0.04 CPU)
+ Package perl-DateTime-Format-DBI-0.031-2.fc10 =>
 Provides: perl(DateTime::Format::DBI) = 0.031
  Requires: perl(Carp) perl(DBI) >= 1.21  perl(strict) perl(vars)

APPROVED


Comment 5 Chris Weyl 2008-07-24 14:39:39 UTC
New Package CVS Request
=======================
Package Name: perl-DateTime-Format-DBI
Short Description: Find a parser class for a database connection
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig

Comment 6 Kevin Fenzi 2008-07-24 18:30:22 UTC
cvs done.

Comment 7 Chris Weyl 2008-07-24 23:03:33 UTC
Imported and building.  Thanks for the review! :-)


Note You need to log in before you can comment on or make changes to this bug.